From 09702adc59e18588cade0733e15b63ac3bd1aadb Mon Sep 17 00:00:00 2001
From: huntxu <mhuntxu@gmail.com>
Date: Wed, 7 Dec 2011 10:33:17 +0800
Subject: [PATCH] Specify which user/group should be used for core dumps
 rotation

---
 configure.ac                |    1 +
 vdsm/vdsm-logrotate.conf    |   19 -------------------
 vdsm/vdsm-logrotate.conf.in |   20 ++++++++++++++++++++
 3 files changed, 21 insertions(+), 19 deletions(-)
 delete mode 100644 vdsm/vdsm-logrotate.conf
 create mode 100644 vdsm/vdsm-logrotate.conf.in

diff --git a/configure.ac b/configure.ac
index 3d763b8..df9f581 100644
--- a/configure.ac
+++ b/configure.ac
@@ -151,5 +151,6 @@ AC_OUTPUT([
 	vdsm/constants.py.in
 	vdsm/sudoers.vdsm.in
 	vdsm/mk_sysprep_floppy
+	vdsm/vdsm-logrotate.conf
 	vdsm_reg/deployUtil.py
 ])
diff --git a/vdsm/vdsm-logrotate.conf b/vdsm/vdsm-logrotate.conf
deleted file mode 100644
index 10f4a2b..0000000
--- a/vdsm/vdsm-logrotate.conf
+++ /dev/null
@@ -1,19 +0,0 @@
-/var/log/vdsm/*.log {
-    rotate 100
-    missingok
-    copytruncate
-    size 15M
-    compress
-    compresscmd /usr/bin/xz
-    uncompresscmd /usr/bin/unxz
-    compressext .xz
-}
-/var/log/core/*.dump {
-    rotate 1
-    missingok
-    size 0
-    compress
-    compresscmd /usr/bin/xz
-    uncompresscmd /usr/bin/unxz
-    compressext .xz
-}
diff --git a/vdsm/vdsm-logrotate.conf.in b/vdsm/vdsm-logrotate.conf.in
new file mode 100644
index 0000000..0d1ca6f
--- /dev/null
+++ b/vdsm/vdsm-logrotate.conf.in
@@ -0,0 +1,20 @@
+/var/log/vdsm/*.log {
+    rotate 100
+    missingok
+    copytruncate
+    size 15M
+    compress
+    compresscmd /usr/bin/xz
+    uncompresscmd /usr/bin/unxz
+    compressext .xz
+}
+/var/log/core/*.dump {
+    rotate 1
+    missingok
+    size 0
+    compress
+    compresscmd /usr/bin/xz
+    uncompresscmd /usr/bin/unxz
+    compressext .xz
+    su @VDSMUSER@ @VDSMGROUP@ 
+}
-- 
1.7.7.1

